CVE-2023-27119

NameCVE-2023-27119
DescriptionWebAssembly v1.0.29 was discovered to contain a segmentation fault via the component wabt::Decompiler::WrapChild.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1032669

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
wabt (PTS)buster1.0.8-1vulnerable
bullseye1.0.20-1vulnerable
bookworm1.0.32-1vulnerable
trixie, sid1.0.34+dsfg2+~cs1.0.32-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
wabtsource(unstable)(unfixed)unimportant1032669

Notes

Crash in CLI tool, no security impact
https://github.com/WebAssembly/wabt/issues/1990

Search for package or bug name: Reporting problems